mail/msmtp - The NetBSD Packages Collection

SMTP plugin for MUAs

msmtp -- SMTP plugin for MUAs

This is a simple program that works as an "SMTP plugin" for Mutt
and probably other MUAs (mail user agents).  msmtp forwards mails
to an SMTP server (for example at a free mail provider) which does
the delivery.

Features include:
    * SMTP AUTH methods PLAIN, LOGIN, CRAM-MD5 and XOAUTH2
    * TLS encrypted connections
    * IPv6 support
    * robustness
    * detailed error messages (including the full answer of the
      SMTP server) if something goes wrong
    * sendmail compatible exit codes (which most MUAs understand).

Simply tell your MUA to call msmtp instead of /usr/sbin/sendmail.

Build dependencies

pkgtools/cwrappers devel/pkgconf

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfmsmtp-1.8.12.tgz
NetBSD 8.0earmv7hfmsmtp-1.8.11.tgz
NetBSD 8.0earmv7hfmsmtp-1.8.15.tgz
NetBSD 8.0i386msmtp-1.8.11.tgz
NetBSD 8.0i386msmtp-1.8.12.tgz
NetBSD 8.0i386msmtp-1.8.15.tgz
NetBSD 8.0powerpcmsmtp-1.8.11.tgz
NetBSD 8.0powerpcmsmtp-1.8.15.tgz
NetBSD 8.0powerpcmsmtp-1.8.12.tgz
NetBSD 8.0powerpcmsmtp-1.8.15.tgz
NetBSD 8.0x86_64msmtp-1.8.15.tgz
NetBSD 8.0x86_64msmtp-1.8.11.tgz
NetBSD 8.0x86_64msmtp-1.8.12.tgz
NetBSD 9.0aarch64msmtp-1.8.15.tgz
NetBSD 9.0aarch64msmtp-1.8.11.tgz
NetBSD 9.0aarch64msmtp-1.8.12.tgz
NetBSD 9.0alphamsmtp-1.8.15.tgz
NetBSD 9.0alphamsmtp-1.8.11.tgz
NetBSD 9.0alphamsmtp-1.8.12.tgz
NetBSD 9.0earmmsmtp-1.8.15.tgz
NetBSD 9.0earmv6hfmsmtp-1.8.15.tgz
NetBSD 9.0earmv6hfmsmtp-1.8.11.tgz
NetBSD 9.0earmv6hfmsmtp-1.8.12.tgz
NetBSD 9.0earmv6hfmsmtp-1.8.12.tgz
NetBSD 9.0earmv7hfmsmtp-1.8.15.tgz
NetBSD 9.0earmv7hfmsmtp-1.8.11.tgz
NetBSD 9.0earmv7hfmsmtp-1.8.12.tgz
NetBSD 9.0earmv7hfmsmtp-1.8.12.tgz
NetBSD 9.0earmv7hfmsmtp-1.8.15.tgz
NetBSD 9.0i386msmtp-1.8.11.tgz
NetBSD 9.0i386msmtp-1.8.12.tgz
NetBSD 9.0i386msmtp-1.8.15.tgz
NetBSD 9.0mips64ebmsmtp-1.8.15.tgz
NetBSD 9.0mips64ebmsmtp-1.8.11.tgz
NetBSD 9.0mips64ebmsmtp-1.8.12.tgz
NetBSD 9.0powerpcmsmtp-1.8.12.tgz
NetBSD 9.0powerpcmsmtp-1.8.11.tgz
NetBSD 9.0powerpcmsmtp-1.8.15.tgz
NetBSD 9.0powerpcmsmtp-1.8.15.tgz
NetBSD 9.0sparc64msmtp-1.8.15.tgz
NetBSD 9.0sparc64msmtp-1.8.11.tgz
NetBSD 9.0sparc64msmtp-1.8.11.tgz
NetBSD 9.0sparc64msmtp-1.8.12.tgz
NetBSD 9.0sparcmsmtp-1.8.15.tgz
NetBSD 9.0sparcmsmtp-1.8.11.tgz
NetBSD 9.0x86_64msmtp-1.8.12.tgz
NetBSD 9.0x86_64msmtp-1.8.12.tgz
NetBSD 9.0x86_64msmtp-1.8.12.tgz
NetBSD 9.0x86_64msmtp-1.8.15.tgz
NetBSD 9.0x86_64msmtp-1.8.11.tgz
NetBSD 9.0x86_64msmtp-1.8.12.tgz
NetBSD 9.0x86_64msmtp-1.8.15.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

gsasl
Enable SASL support with gsasl.
idn
Internationalized Domain Names (IDN) support.
scripts
secret
Enable libsecret support.
gnutls
Enable GNU TLS support.
ssl
Enable SSL support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.